# azure.mgmt.databricks.models module

exception `azure.mgmt.databricks.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.databricks.models.``WorkspaceProviderAuthorization`(*, principal_id: str, role_definition_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The workspace provider authorization.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - principal_id (str) – Required. The provider’s principal identifier. This is the identity that the provider will use to call ARM to manage the workspace resources.
  - role_definition_id (str) – Required. The provider’s role definition identifier. This role will define all the permissions that the provider must have on the workspace’s container resource group. This role definition cannot have permission to delete the resource group.

class `azure.mgmt.databricks.models.``Sku`(*, name: str, tier: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SKU for the resource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The SKU name.
  - tier (str) – The SKU tier.

class `azure.mgmt.databricks.models.``Workspace`(*, location: str, managed_resource_group_id: str, tags=None, parameters=None, ui_definition_uri: str = None, authorizations=None, sku=None, **kwargs)

  Bases: `azure.mgmt.databricks.models.tracked_resource_py3.TrackedResource`

  Information about workspace.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - provisioning_state (str or ProvisioningState) – The workspace provisioning state. Possible values include: ‘Accepted’, ‘Running’, ‘Ready’, ‘Creating’, ‘Created’, ‘Deleting’, ‘Deleted’, ‘Canceled’, ‘Failed’, ‘Succeeded’, ‘Updating’

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. The geo-location where the resource lives
  - managed_resource_group_id (str) – Required. The managed resource group Id.
  - parameters (object) – Name and value pairs that define the workspace parameters.
  - ui_definition_uri (str) – The blob URI where the UI definition file is located.
  - authorizations (list[WorkspaceProviderAuthorization]) – The workspace provider authorizations.
  - sku (Sku) – The SKU of the resource.

class `azure.mgmt.databricks.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.databricks.models.resource_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. The geo-location where the resource lives

class `azure.mgmt.databricks.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

class `azure.mgmt.databricks.models.``WorkspaceUpdate`(*, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An update to a workspace.

  Parameters: | tags (dict[str, str]) – Resource tags.

class `azure.mgmt.databricks.models.``ErrorDetail`(*, code: str, message: str, target: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. The error’s code.
  - message (str) – Required. A human readable error message.
  - target (str) – Indicates which property in the request is responsible for the error.

class `azure.mgmt.databricks.models.``ErrorInfo`(*, code: str, message: str, details=None, innererror: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The code and message for an error.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. A machine readable error code.
  - message (str) – Required. A human readable error message.
  - details (list[ErrorDetail]) – error details.
  - innererror (str) – Inner error details if they exist.

class `azure.mgmt.databricks.models.``ErrorResponse`(*, error, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response.

  Contains details when the response code indicates an error.

  All required parameters must be populated in order to send to Azure.

  Parameters: | error (ErrorInfo) – Required. The error details.

class `azure.mgmt.databricks.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft.ResourceProvider
  - resource (str) – Resource on which the operation is performed.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.databricks.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  REST API operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.databricks.models.``WorkspacePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Workspace` object

class `azure.mgmt.databricks.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.databricks.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `canceled` = 'Canceled'
  `created` = 'Created'
  `creating` = 'Creating'
  `deleted` = 'Deleted'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `ready` = 'Ready'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'